ONVIF::Media::Types::PTZStream(3)

NAME
ONVIF::Media::Types::PTZStream

DESCRIPTION
Perl data type class for the XML Schema defined complexType PTZStream from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   PTZStatus

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::PTZStream
   # One of the following elements.
   # No occurrence checks yet, so be sure to pass just one...
   PTZStatus =>  { # ONVIF::Media::Types::PTZStatus
     Position =>  { # ONVIF::Media::Types::PTZVector
       PanTilt => ,
       Zoom => ,
     },
     MoveStatus =>  { # ONVIF::Media::Types::PTZMoveStatus
       PanTilt => $some_value, # MoveStatus
       Zoom => $some_value, # MoveStatus
     },
     Error =>  $some_value, # string
     UtcTime =>  $some_value, # dateTime
   },
   Extension =>  { # ONVIF::Media::Types::PTZStreamExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL